Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class ParagraphProperties

    java.lang.Object
      org.apache.poi.hwpf.model.types.PAPAbstractType
          org.apache.poi.hwpf.usermodel.ParagraphProperties

All Implemented Interfaces:
  java.lang.Cloneable

    public final class ParagraphProperties

extends PAPAbstractType
implements java.lang.Cloneable

Constructor Summary
`ParagraphProperties()`

Method Summary
`java.lang.Object` | `clone()`
`BorderCode` | `getBarBorder()`
`BorderCode` | `getBottomBorder()`
`DropCapSpecifier` | `getDropCap()`
`int` | `getFirstLineIndent()`
`int` | `getFontAlignment()`
`int` | `getIndentFromLeft()`
`int` | `getIndentFromRight()`
`int` | `getJustification()`
`BorderCode` | `getLeftBorder()`
`LineSpacingDescriptor` | `getLineSpacing()`
`BorderCode` | `getRightBorder()`
`ShadingDescriptor` | `getShading()`
`int` | `getSpacingAfter()`
`int` | `getSpacingBefore()`
`BorderCode` | `getTopBorder()`
`boolean` | `isAutoHyphenated()`
`boolean` | `isBackward()`
`boolean` | `isKinsoku()`
`boolean` | `isLineNotNumbered()`
`boolean` | `isSideBySide()`
`boolean` | `isVertical()`
`boolean` | `isWidowControlled()`
`boolean` | `isWordWrapped()`
`boolean` | `keepOnPage()`
`boolean` | `keepWithNext()`
`boolean` | `pageBreakBefore()`
`void` | `setAutoHyphenated(boolean auto)`
`void` | `setBackward(boolean bward)`
`void` | `setBarBorder(BorderCode bar)`
`void` | `setBottomBorder(BorderCode bottom)`
`void` | `setDropCap(DropCapSpecifier dcs)`
`void` | `setFirstLineIndent(int first)`
`void` | `setFontAlignment(int align)`
`void` | `setIndentFromLeft(int dxaLeft)`
`void` | `setIndentFromRight(int dxaRight)`
`void` | `setJustification(byte jc)`
`void` | `setJustificationLogical(byte jc)`
`void` | `setKeepOnPage(boolean fKeep)`
`void` | `setKeepWithNext(boolean fKeepFollow)`
`void` | `setKinsoku(boolean kinsoku)`
`void` | `setLeftBorder(BorderCode left)`
`void` | `setLineNotNumbered(boolean fNoLnn)`
`void` | `setLineSpacing(LineSpacingDescriptor lspd)`
`void` | `setPageBreakBefore(boolean fPageBreak)`
`void` | `setRightBorder(BorderCode right)`
`void` | `setShading(ShadingDescriptor shd)`
`void` | `setSideBySide(boolean fSideBySide)`
`void` | `setSpacingAfter(int after)`
`void` | `setSpacingBefore(int before)`
`void` | `setTopBorder(BorderCode top)`
`void` | `setVertical(boolean vertical)`
`void` | `setWidowControl(boolean widowControl)`
`void` | `setWordWrapped(boolean wrap)`

Methods inherited from class org.apache.poi.hwpf.model.types.PAPAbstractType
`getAnld, getBrcBar, getBrcBetween, getBrcBottom, getBrcl, getBrcLeft, getBrcp, getBrcRight, getBrcTop, getDcs, getDttmPropRMark, getDxaAbs, getDxaFromText, getDxaLeft, getDxaLeft1, getDxaRight, getDxaWidth, getDxcLeft, getDxcLeft1, getDxcRight, getDyaAbs, getDyaAfter, getDyaBefore, getDyaFromText, getDyaHeight, getFAdjustRight, getFAutoSpaceDE, getFAutoSpaceDN, getFBiDi, getFBrLnAbove, getFBrLnBelow, getFCrLf, getFDyaAfterAuto, getFDyaBeforeAuto, getFInnerTableCell, getFInTable, getFinTableW97, getFKeep, getFKeepFollow, getFKinsoku, getFLocked, getFMinHeight, getFNoAllowOverlap, getFNoAutoHyph, getFNoLnn, getFNumRMIns, getFontAlign, getFOpenTch, getFOverflowPunct, getFPageBreakBefore, getFPropRMark, getFSideBySide, getFTopLinePunct, getFTtp, getFTtpEmbedded, getFUsePgsuSettings, getFWidowControl, getFWordWrap, getIbstPropRMark, getIlfo, getIlvl, getIpgp, getIstd, getItap, getItbdMac, getJc, getLspd, getLvl, getNumrm, getPcHorz, getPcVert, getPhe, getPtap, getRgdxaTab, getRgtbd, getRsid, getShd, getWAlignFont, getWr, isFBackward, isFRotateFont, isFVertical, setAnld, setBrcBar, setBrcBetween, setBrcBottom, setBrcl, setBrcLeft, setBrcp, setBrcRight, setBrcTop, setDcs, setDttmPropRMark, setDxaAbs, setDxaFromText, setDxaLeft, setDxaLeft1, setDxaRight, setDxaWidth, setDxcLeft, setDxcLeft1, setDxcRight, setDyaAbs, setDyaAfter, setDyaBefore, setDyaFromText, setDyaHeight, setFAdjustRight, setFAutoSpaceDE, setFAutoSpaceDN, setFBackward, setFBiDi, setFBrLnAbove, setFBrLnBelow, setFCrLf, setFDyaAfterAuto, setFDyaBeforeAuto, setFInnerTableCell, setFInTable, setFinTableW97, setFKeep, setFKeepFollow, setFKinsoku, setFLocked, setFMinHeight, setFNoAllowOverlap, setFNoAutoHyph, setFNoLnn, setFNumRMIns, setFontAlign, setFOpenTch, setFOverflowPunct, setFPageBreakBefore, setFPropRMark, setFRotateFont, setFSideBySide, setFTopLinePunct, setFTtp, setFTtpEmbedded, setFUsePgsuSettings, setFVertical, setFWidowControl, setFWordWrap, setIbstPropRMark, setIlfo, setIlvl, setIpgp, setIstd, setItap, setItbdMac, setJc, setLspd, setLvl, setNumrm, setPcHorz, setPcVert, setPhe, setPtap, setRgdxaTab, setRgtbd, setRsid, setShd, setWAlignFont, setWr, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParagraphProperties

    public ParagraphProperties()

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getBarBorder

    public BorderCode getBarBorder()

### getBottomBorder

    public BorderCode getBottomBorder()

### getDropCap

    public DropCapSpecifier getDropCap()

### getFirstLineIndent

    public int getFirstLineIndent()

### getFontAlignment

    public int getFontAlignment()

### getIndentFromLeft

    public int getIndentFromLeft()

### getIndentFromRight

    public int getIndentFromRight()

### getJustification

    public int getJustification()

### getLeftBorder

    public BorderCode getLeftBorder()

### getLineSpacing

    public LineSpacingDescriptor getLineSpacing()

### getRightBorder

    public BorderCode getRightBorder()

### getShading

    public ShadingDescriptor getShading()

### getSpacingAfter

    public int getSpacingAfter()

### getSpacingBefore

    public int getSpacingBefore()

### getTopBorder

    public BorderCode getTopBorder()

### isAutoHyphenated

    public boolean isAutoHyphenated()

### isBackward

    public boolean isBackward()

### isKinsoku

    public boolean isKinsoku()

### isLineNotNumbered

    public boolean isLineNotNumbered()

### isSideBySide

    public boolean isSideBySide()

### isVertical

    public boolean isVertical()

### isWidowControlled

    public boolean isWidowControlled()

### isWordWrapped

    public boolean isWordWrapped()

### keepOnPage

    public boolean keepOnPage()

### keepWithNext

    public boolean keepWithNext()

### pageBreakBefore

    public boolean pageBreakBefore()

### setAutoHyphenated

    public void setAutoHyphenated(boolean auto)

### setBackward

    public void setBackward(boolean bward)

### setBarBorder

    public void setBarBorder(BorderCode bar)

### setBottomBorder

    public void setBottomBorder(BorderCode bottom)

### setDropCap

    public void setDropCap(DropCapSpecifier dcs)

### setFirstLineIndent

    public void setFirstLineIndent(int first)

### setFontAlignment

    public void setFontAlignment(int align)

### setIndentFromLeft

    public void setIndentFromLeft(int dxaLeft)

### setIndentFromRight

    public void setIndentFromRight(int dxaRight)

### setJustification

    public void setJustification(byte jc)

### setJustificationLogical

    public void setJustificationLogical(byte jc)

### setKeepOnPage

    public void setKeepOnPage(boolean fKeep)

### setKeepWithNext

    public void setKeepWithNext(boolean fKeepFollow)

### setKinsoku

    public void setKinsoku(boolean kinsoku)

### setLeftBorder

    public void setLeftBorder(BorderCode left)

### setLineNotNumbered

    public void setLineNotNumbered(boolean fNoLnn)

### setLineSpacing

    public void setLineSpacing(LineSpacingDescriptor lspd)

### setPageBreakBefore

    public void setPageBreakBefore(boolean fPageBreak)

### setRightBorder

    public void setRightBorder(BorderCode right)

### setShading

    public void setShading(ShadingDescriptor shd)

### setSideBySide

    public void setSideBySide(boolean fSideBySide)

### setSpacingAfter

    public void setSpacingAfter(int after)

### setSpacingBefore

    public void setSpacingBefore(int before)

### setTopBorder

    public void setTopBorder(BorderCode top)

### setVertical

    public void setVertical(boolean vertical)

### setWidowControl

    public void setWidowControl(boolean widowControl)

### setWordWrapped

    public void setWordWrapped(boolean wrap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD